petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscLogEventBarrierEnd

Logs the time in a barrier before an event.

### Synopsis

    #include <petsclog.h>
    PetscErrorCode PetscLogEventBarrierEnd(int e,PetscObject o1,PetscObject o2,PetscObject o3,PetscObject o4,MPI_Comm comm)

Logically Collective on MPI_Comm Many br

### Input Parameters

e -integer associated with the event obtained from PetscLogEventRegister() Many br
o1,o2,o3,o4 -objects associated with the event, or 0 Many br
comm -communicator the barrier takes place over Many br

### Usage

         PetscLogEventBarrierBegin(VEC_NormBarrier,0,0,0,0,comm);
           MPIU_Allreduce()
         PetscLogEventBarrierEnd(VEC_NormBarrier,0,0,0,0,comm);

Many br

### Notes

This is for logging the amount of time spent in a barrier for an event Many brthat requires synchronization. Many br

### Additional Notes

Synchronization events always come in pairs; for example, VEC_NormBarrier and Many brVEC_NormComm = VEC_NormBarrier + 1 Many br

Many br

### See Also

PetscLogEventRegister(), PetscLogEventEnd(), PetscLogFlops(), PetscLogEventBegin(),
PetscLogEventBarrierBegin() Many br

### Keywords

log, event, begin, barrier

Level:advanced
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages